<template>
  <div class="app">
    <AppHeader fixed>
      <SidebarToggler class="d-lg-none" display="md" mobile />
      <b-link class="navbar-brand" to="#">
        <img class="navbar-brand-full" src="static/img/brand/logo.png" width="57%" alt="CoreUI Logo">
        <img class="navbar-brand-minimized" src="static/img/brand/logo.png" width="57%" alt="CoreUI Logo">
      </b-link>
      <SidebarToggler class="d-md-down-none" display="lg" />
      <b-navbar-nav class="ml-auto">
        <b-nav-item class="d-md-down-none">
          <button class="btn btn-primary mr-5" @click="logout()">
            <i class="icon-logout"> Выйти </i>
          </button>
        </b-nav-item>
      </b-navbar-nav>
    </AppHeader>
    <div class="app-body">
      <AppSidebar fixed>
        <SidebarNav :navItems="nav"></SidebarNav>
        <SidebarFooter/>
        <SidebarMinimizer/>
      </AppSidebar>
      <main class="main">
        <breadcrumb :list="list"/>
        <div class="container-fluid">
          <router-view></router-view>
        </div>
      </main>
      <AppAside fixed>
        <!--aside-->
        <DafaultAside/>
      </AppAside>
    </div>
    <footer class="app-footer">
      <span> &copy; 2020 bullet-trans</span>
      <span class="ml-auto"></span>
    </footer>
  </div>
</template>

<script>
import nav from '../_nav'
import { Header as AppHeader, SidebarToggler, Sidebar as AppSidebar, SidebarFooter, SidebarMinimizer, SidebarNav, Aside as AppAside } from '@coreui/vue'
import Breadcrumb from './Breadcrumb'
import DafaultAside from './DafaultAside'
import Auth from '../utils/Auth'
import Api from '@/services/Api'

export default {
  name: 'DefaultContainer',
  components: {
    AppHeader,
    AppSidebar,
    AppAside,
    Breadcrumb,
    DafaultAside,
    SidebarFooter,
    SidebarToggler,
    SidebarNav,
    SidebarMinimizer
  },
  data () {
    return {
      nav: []
    }
  },
  computed: {
    name () {
      return this.$route.name
    },
    list () {
      return this.$route.matched
    },
    // nav() {
    //   return localStorage.getItem('level') == 1 ? nav.navForStoreHouse : nav.items
    // }
  },
  methods: {
    logout () {
      if (Auth().logout()) {
        this.$router.push({
          name: 'Login'
        })
      } else {
        console.log('false')
      }
    },
    async getMe() {
      const me = await Api().get('admins/me')
      localStorage.setItem('level', me.data.level)
      console.log(me)
    }
  },
  async created () {
    await this.getMe()
    this.nav = localStorage.getItem('level') == 1 ? nav.navForStoreHouse : nav.items
    console.log(localStorage.getItem('level'), { a: nav.navForStoreHouse, b: nav.items })
  }
}
</script>
